<p align="center">
  <img src="https://placehold.co/600x120?text=anipy-server" alt="anipy-server logo"/>
</p>

<h1 align="center">anipy-server</h1>

<p align="center">
  <b>A modern, self-hosted anime info and streaming server</b><br/>
  <a href="https://pypi.org/project/anipy-server/"><img src="https://img.shields.io/pypi/v/anipy-server.svg?style=flat-square" alt="PyPI version"></a>
  <img src="https://img.shields.io/badge/license-MIT-blue.svg?style=flat-square" alt="License">
  <img src="https://img.shields.io/badge/python-3.7%2B-blue.svg?style=flat-square" alt="Python Version">
</p>

---

## 🚀 Features

- 🔎 **Search & View Anime Info** — Find anime details from multiple sources
- 🎬 **Stream Anime Episodes** — Watch directly from your server
- 🌐 **Modern Web UI** — Responsive, template-driven interface
- 🔗 **Local & External Fetching** — Combines local cache and online APIs
- 🗂️ **Easy Setup** — One-command install and launch

---

## 📦 Installation

```bash
pip install anipy-server
```

---

## 🏁 Quick Start

After installation, launch the server with:

```bash
anipy
```

Or run locally for development:

```bash
python src/anipy_server/main.py
```

The server will start and you can access the web UI in your browser.

---

## 🛠️ Development

1. Clone the repository:
   ```bash
   git clone https://github.com/yourusername/anipy-server.git
   cd anipy-server
   ```
2. Install dependencies:
   ```bash
   pip install -r requirements.txt
   ```
3. Run the server:
   ```bash
   python src/anipy_server/main.py
   ```

---

## 📁 Project Structure

```
anipy-server/
├── src/
│   └── anipy_server/
│       ├── main.py
│       ├── gg.py
│       ├── generator.py
│       ├── templates/
│       └── static/
├── requirements.txt
├── setup.py
├── README.md
└── ...
```

---

## 🤝 Contributing

Contributions, issues, and feature requests are welcome! Feel free to check [issues page](https://github.com/yourusername/anipy-server/issues) if you want to contribute.

---

## 📄 License

This project is licensed under the MIT License. 